Listado
curl --request GET \
--url https://api.qa.sima.ag/api/v1/units \
--header 'Authorization: Bearer <token>' \
--header 'X-SIMA-SYSTEM-ID: <api-key>'import requests
url = "https://api.qa.sima.ag/api/v1/units"
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-SIMA-SYSTEM-ID': '<api-key>'}
};
fetch('https://api.qa.sima.ag/api/v1/units', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v1/units",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": 0,
"unit": "No disponible",
"unitTotal": "No disponible",
"category": "OT"
},
{
"id": 1,
"unit": "Kg/ha",
"unitTotal": "Kg",
"category": "OT"
},
{
"id": 2,
"unit": "Gr/ha",
"unitTotal": "Gr",
"category": "OT"
},
{
"id": 3,
"unit": "Lt/ha",
"unitTotal": "Lt",
"category": "OT"
},
{
"id": 4,
"unit": "Cc/ha",
"unitTotal": "Cc",
"category": "OT"
},
{
"id": 5,
"unit": "Ml/ha",
"unitTotal": "Ml",
"category": "OT"
},
{
"id": 6,
"unit": "Pack/ha",
"unitTotal": "Pack",
"category": "OT"
},
{
"id": 7,
"unit": "Past/ha",
"unitTotal": "Past",
"category": "OT"
},
{
"id": 8,
"unit": "Capsula/ha",
"unitTotal": "Capsulas",
"category": "OT"
},
{
"id": 9,
"unit": "Tiras/ha",
"unitTotal": "Tiras",
"category": "OT"
},
{
"id": 10,
"unit": "Semillas/ha",
"unitTotal": "Semillas",
"category": "OT"
},
{
"id": 11,
"unit": "bolsa/ha",
"unitTotal": "bolsa",
"category": "OT"
}
]
}Version 1 > Units
Listado
GET
/
api
/
v1
/
units
Listado
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Query Parameters
Opcional: ot, pluvio
Response
200 - application/json
OK
The response is of type object.

